"""
基础API模型模块
包含通用的API请求和响应的数据模型
"""

from typing import Dict, Any, List, Optional
from pydantic import BaseModel, Field
from enum import Enum

# 排序字段枚举
class SortField(str, Enum):
    CREATED_AT = "created_at"
    UPDATED_AT = "updated_at"
    NAME = "name"

# 排序方式枚举
class SortOrder(str, Enum):
    ASC = "asc"
    DESC = "desc"

# 通用响应模型
class ApiResponse(BaseModel):
    code: int = Field(..., description="状态码")
    message: str = Field(..., description="消息")
    data: Optional[dict] = Field(None, description="数据") 