"""
工作流API模型模块
包含工作流相关的API请求和响应的数据模型
"""

from typing import Dict, Any, List, Optional
from pydantic import BaseModel, Field

# 工作流相关模型
class WorkflowInput(BaseModel):
    name: str
    workflow_type: Optional[str] = "normal"
    description: Optional[str] = ""
    blocks: Optional[List[Dict[str, Any]]] = []
    variables: Optional[Dict[str, Any]] = {}
    schedule: Optional[Dict[str, Any]] = None

class WorkflowUpdateInput(BaseModel):
    name: Optional[str] = None
    description: Optional[str] = None
    blocks: Optional[List[Dict[str, Any]]] = None
    variables: Optional[Dict[str, Any]] = None
    schedule: Optional[Dict[str, Any]] = None

class WorkflowExecuteInput(BaseModel):
    task_inputs: Optional[Dict[str, Any]] = None

class WorkflowImportInput(BaseModel):
    workflow_json: str 