#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
数据模块
包含数据库模型和数据访问功能
"""

# 避免循环导入
# from data.session import initialize_database, get_session, session_scope

__all__ = ['initialize_database', 'get_session', 'session_scope']

# 延迟导入
def initialize_database():
    from data.session import initialize_database as init_db
    return init_db()

def get_session():
    from data.session import get_session as get_db_session
    return get_db_session()

def session_scope():
    from data.session import session_scope as db_session_scope
    return db_session_scope()
